<?php

/* * *************************************************************************
 *                                                                          *
 *   (c) 2004 Vladimir V. Kalynyak, Alexey V. Vinokurov, Ilya M. Shalnev    *
 *                                                                          *
 * This  is  commercial  software,  only  users  who have purchased a valid *
 * license  and  accept  to the terms of the  License Agreement can install *
 * and use this program.                                                    *
 *                                                                          *
 * ***************************************************************************
 * PLEASE READ THE FULL TEXT  OF THE SOFTWARE  LICENSE   AGREEMENT  IN  THE *
 * "copyright.txt" FILE PROVIDED WITH THIS DISTRIBUTION PACKAGE.            *
 * ************************************************************************** */

use Tygh\Registry;
use Tygh\Settings;
use Tygh\Http;

if (!defined('BOOTSTRAP')) {
    die('Access denied');
}

if ($_SERVER['REQUEST_METHOD'] == 'POST') {

    if ($mode == 'paykeeper') {
        
        $processor_data = fn_get_processor_data($_GET['proccesor_id']);

        $secret_seed = $processor_data['processor_params']['secret'];
        $id = $_POST['id'];
        $sum = $_POST['sum'];
        $clientid = $_POST['clientid'];
        $orderid = $_POST['orderid'];
        $key = $_POST['key'];

        if ($key != md5($id . sprintf("%.2lf", $sum) .
                        $clientid . $orderid . $secret_seed)) {
            echo "Error! Hash mismatch";
            exit;
        }

        if ($orderid) {
            fn_change_order_status($orderid, $processor_data['processor_params']['order_status']);
        }

        echo "OK " . md5($id . $secret_seed);
        exit;
    }
}
else {
    $cart = & Tygh::$app["session"]["cart"];
    fn_clear_cart($cart);
    fn_redirect(Registry::get('config.http_location') . "/index.php");
    exit;
}
